January `19 – New Software *Update-2

*v 20/01/2019-2 system update raspiBackup update changed Pi-Hole settings – no internet (-Listen only on interface eth0- instead of -Listen on all interfaces, permit all origins-) Pi-Hole domain list update …

MariaDB v10.3.12-2 is ready

It took a while but now it’s ready. The new version of MariaDB is ready to download! Changelog at mariadb.com.   Don’t forget to run (in your Terminal) … systemctl …

Pacnew: Keep your config files up to date – January `19

Hey Four files need to be changed: UFW & PHP – Pacnew warning: /etc/default/ufw installed as /etc/default/ufw.pacnew warning: /etc/ufw/before.rules installed as /etc/ufw/before.rules.pacnew warning: /etc/ufw/sysctl.conf installed as /etc/ufw/sysctl.conf.pacnew warning: /etc/php/php.ini installed …

If you’re using raspiBackup with Arch

Hey   If you’re running raspiBackup on Arch with ssmtp you might be want to change ssmtp to msmtp. Since Arch doesn’t support ssmtp anymore (wiki.archlinux.org) it’s a good idea to …

If you’re using Pi-Hole with Arch

Hey If you’re running Pi-Hole on Arch you’ll need to change a config file. dnsmasq/pi-hole-ftl couldn’t start because systemd-resolved is using port 53. Change: sudo nano /etc/systemd/resolved.conf #DNSStubListener=yes to DNSStubListener=no …

Linux systemd Affected by Memory Corruption Vulnerabilities

======================================================================== Summary ======================================================================== We discovered three vulnerabilities in systemd-journald (https://en.wikipedia.org/wiki/Systemd): – CVE-2018-16864 and CVE-2018-16865, two memory corruptions (attacker-controlled alloca()s); – CVE-2018-16866, an information leak (an out-of-bounds read). CVE-2018-16864 was introduced …